import { NestExpressApplication } from '@nestjs/platform-express';
import staticAssets from './static-assets';
import swagger from './swagger';

export function initPlugins(app: NestExpressApplication) {
  swagger(app);
  app.enableCors({
    origin: '*',
    methods: '*',
    allowedHeaders: '*',
  });
  staticAssets(app);

  return app;
}
